import os
import shutil
import re

# 配置路径
source_dir = '.'  # 替换为你的源文件夹路径
output_dir = 'output'

# 创建输出文件夹
os.makedirs(output_dir, exist_ok=True)

# 获取并排序文件
files = []
for f in os.listdir(source_dir):
    if f.startswith('image_') and f.endswith('.png'):
        # 提取数字部分
        num = re.search(r'image_(\d+)\.png', f).group(1)
        files.append((int(num), f))

# 按数字排序
files.sort(key=lambda x: x[0])

# 过滤间隔文件并复制重命名
new_num = 0
for idx, (num, filename) in enumerate(files):
    if idx % 3 == 0:  # 每隔一个选一个（保留偶数索引）
        # 构造新文件名
        new_name = f'image_{new_num:02d}.png'
        # 复制文件
        shutil.copy2(
            os.path.join(source_dir, filename),
            os.path.join(output_dir, new_name)
        )
        new_num += 1

print(f'已处理 {new_num} 个文件')
